Bug 660439 (CVE-2010-3770) - CVE-2010-3770 Mozilla XSS hazard in multiple character encodings (MFSA 2010-84)
Summary: CVE-2010-3770 Mozilla XSS hazard in multiple character encodings (MFSA 2010-84)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3770
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101209,reported=20101203,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 19:23 UTC by Josh Bressers
Modified: 2019-06-08 18:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 18:15:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0966 normal SHIPPED_LIVE Critical: firefox security update 2010-12-09 23:08:48 UTC

Description Josh Bressers 2010-12-06 19:23:06 UTC
Security researchers Yosuke Hasegawa and Masatoshi Kimura reported that the
x-mac-arabic, x-mac-farsi and x-mac-hebrew character encodings are
vulnerable to XSS attacks due to some characters being converted to angle
brackets when displayed by the rendering engine. Sites using these
character encodings would thus be potentially vulnerable to script
injection attacks if their script filtering code fails to strip out these
specific characters.

Comment 1 Vincent Danen 2010-12-09 22:11:55 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-84.html

Comment 2 errata-xmlrpc 2010-12-09 23:09:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html


Note You need to log in before you can comment on or make changes to this bug.